Bug 1391072 - SAMBA : Unable to play video files in samba share mounted over windows system
Summary: SAMBA : Unable to play video files in samba share mounted over windows system
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: samba
Version: rhgs-3.2
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: RHGS 3.2.0
Assignee: Raghavendra Talur
QA Contact: Vivek Das
URL:
Whiteboard:
Depends On:
Blocks: 1351528
TreeView+ depends on / blocked
 
Reported: 2016-11-02 14:07 UTC by Vivek Das
Modified: 2017-03-23 06:16 UTC (History)
6 users (show)

Fixed In Version: glusterfs-3.8.4-4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-23 06:16:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Vivek Das 2016-11-02 14:07:50 UTC
Description of problem:
Unable to execute or play video files over samba share from windows machine.

Version-Release number of selected component (if applicable):
samba-client-4.4.6-2.el7rhgs.x86_64
glusterfs-client-xlators-3.8.4-3.el7rhgs.x86_64

How reproducible:
Always

Steps to Reproduce:
1.In an existing 4 node cluster with samba ctdb setup
2.Mount any 2X2 volume in windows system (preferably win8 or win10)
3.Copy a video file with extension .mp4 or .mkv to the volume share
4.Double click the video to run the video (media player or vlc player)

Actual results:
Throws error saying unable to open the file

Expected results:
The video should play

Additional info:
[root@dhcp47-120 ~]# rpm -qa | grep samba
samba-libs-4.4.6-2.el7rhgs.x86_64
samba-common-libs-4.4.6-2.el7rhgs.x86_64
samba-common-4.4.6-2.el7rhgs.noarch
samba-vfs-glusterfs-4.4.6-2.el7rhgs.x86_64
samba-client-4.4.6-2.el7rhgs.x86_64
samba-4.4.6-2.el7rhgs.x86_64
samba-client-libs-4.4.6-2.el7rhgs.x86_64
samba-debuginfo-4.4.6-2.el7rhgs.x86_64
samba-common-tools-4.4.6-2.el7rhgs.x86_64
[root@dhcp47-120 ~]# rpm -qa | grep gluster
glusterfs-api-3.8.4-3.el7rhgs.x86_64
glusterfs-libs-3.8.4-3.el7rhgs.x86_64
glusterfs-events-3.8.4-3.el7rhgs.x86_64
gluster-nagios-addons-0.2.8-1.el7rhgs.x86_64
samba-vfs-glusterfs-4.4.6-2.el7rhgs.x86_64
glusterfs-3.8.4-3.el7rhgs.x86_64
glusterfs-cli-3.8.4-3.el7rhgs.x86_64
glusterfs-geo-replication-3.8.4-3.el7rhgs.x86_64
glusterfs-client-xlators-3.8.4-3.el7rhgs.x86_64
glusterfs-server-3.8.4-3.el7rhgs.x86_64
glusterfs-rdma-3.8.4-3.el7rhgs.x86_64
vdsm-gluster-4.17.33-1.el7rhgs.noarch
python-gluster-3.8.4-3.el7rhgs.noarch
gluster-nagios-common-0.2.4-1.el7rhgs.noarch
glusterfs-fuse-3.8.4-3.el7rhgs.x86_64

Comment 3 Vivek Das 2016-11-02 14:21:28 UTC
Sosreports , Wireshark, samba logs available http://rhsqe-repo.lab.eng.blr.redhat.com/sosreports/1391072

Comment 4 Vivek Das 2016-11-02 14:52:32 UTC
It is also observed that if the video file is tried to copy back to the local C:\ drive of windows system it throws error further not allowing to copy. 

Regular files & directories gets copied successfully but the video files are denied.

Steps
------
1. Copy a video file (.mp4/mkv) from C drive to the share mount (ctr C ctr V)
2. Copy back the vide file from share mount to C drive (ctr C ctr V)

Comment 5 Raghavendra Talur 2016-11-14 12:57:07 UTC
This bug and https://bugzilla.redhat.com/show_bug.cgi?id=1391093 could be because of same root cause. Please re-test this with latest build.

Comment 9 Vivek Das 2016-11-17 06:04:50 UTC
Version
---------
samba-client-4.4.6-2.el7rhgs.x86_64
glusterfs-cli-3.8.4-5.el7rhgs.x86_64

Followed the above steps to reproduce and i am able to play video files and copy them too to C drive.

Comment 11 errata-xmlrpc 2017-03-23 06:16:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.